require 'rails/generators'
module GitRubyDeploy
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path('../templates', __FILE__)
      desc "Generate controllers"

      # Commandline options can be defined here using Thor-like options:
      # class_option :my_opt, :type => :boolean, :default => false, :desc => "My Option"

      # I can later access that option using:
      # options[:my_opt]


      # def self.source_root
      #   @source_root ||= File.join(File.dirname(__FILE__), 'templates')
      # end

      # Generator Code. Remember this is just suped-up Thor so methods are executed in order
      def copy_files
        copy_file 'config/controllers/git_deploy_controller.rb', 'app/controllers/git_deploy_controller.rb'
        inject_into_file 'config/routes.rb',"\tget '/deploy', to: 'git_deploy#deploy'\n", :before => /^end/
      end


    end
  end
end